package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.SysFileDto;
import com.huatek.busi.where.SysFileSelectVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SysFileMapper {

    List<SysFileDto> findByBusId(@Param("busId") String busId);

    int delete(@Param("busId") String busId);

    SysFileDto findSysFileByBusinessId(@Param("businessId") String businessId);

    Page<SysFileDto> list1(SysFileSelectVo sysFileSelectVo);

    void update(@Param("businessId") String businessId, @Param("equType") String equType);

    List<SysFileDto> findByDeleted(@Param("businessId") String businessId, @Param("equType") String equType);

    List<SysFileDto> findListAnnex(SysFileSelectVo sysFileSelectVo);

    int updateByRefIdsAndEquType(@Param("refIds") List<String> refIds, @Param("equType") String equType);

    int updateByRefIdsAndEquTypes(@Param("eqType") String eqType, @Param("refId") String refId);

    List<SysFileDto> findAllByDeleted(@Param("refIds") List<String> refIds, @Param("equType") String equType);

    Integer findMaxCount(@Param("eqType") String eqType, @Param("date") String date, @Param("fileType") String fileType);

    int updateFilePathById(@Param("id") String id, @Param("filePath") String filePath);

    int updateModelPathById(@Param("id") String id, @Param("filePath") String filePath);

    SysFileDto findById(@Param("id") String id);

    SysFileDto findModelById(String id);

    List<SysFileDto> findModelByDeleted(@Param("ids") List<String> ids, @Param("equType") String equType);

    Page<SysFileDto> modelList(SysFileSelectVo sysFileSelectVo);

    int deleteModels(@Param("ids") List<String> ids, @Param("equType") String equType);

    Page<SysFileDto> listKgg(SysFileSelectVo sysFileSelectVo);

    Page<SysFileDto> listBlq(SysFileSelectVo sysFileSelectVo);

    Page<SysFileDto> listGen(SysFileSelectVo sysFileSelectVo);

    Page<SysFileDto> listDl(SysFileSelectVo sysFileSelectVo);
}
